#ifndef vtk_expat_mangle_h
#define vtk_expat_mangle_h

/* Mangle expat symbols for VTK so that they do not conflict with a different
 * expat build.
 */

#define vtk_expat_mangle(sym) vtk_expat_ ## sym

#define XML_DefaultCurrent vtk_expat_mangle(XML_DefaultCurrent)
#define XML_ErrorString vtk_expat_mangle(XML_ErrorString)
#define XML_ExpatVersion vtk_expat_mangle(XML_ExpatVersion)
#define XML_ExpatVersionInfo vtk_expat_mangle(XML_ExpatVersionInfo)
#define XML_ExternalEntityParserCreate vtk_expat_mangle(XML_ExternalEntityParserCreate)
#define XML_FreeContentModel vtk_expat_mangle(XML_FreeContentModel)
#define XML_GetBase vtk_expat_mangle(XML_GetBase)
#define XML_GetBuffer vtk_expat_mangle(XML_GetBuffer)
#define XML_GetCurrentByteCount vtk_expat_mangle(XML_GetCurrentByteCount)
#define XML_GetCurrentByteIndex vtk_expat_mangle(XML_GetCurrentByteIndex)
#define XML_GetCurrentColumnNumber vtk_expat_mangle(XML_GetCurrentColumnNumber)
#define XML_GetCurrentLineNumber vtk_expat_mangle(XML_GetCurrentLineNumber)
#define XML_GetErrorCode vtk_expat_mangle(XML_GetErrorCode)
#define XML_GetFeatureList vtk_expat_mangle(XML_GetFeatureList)
#define XML_GetIdAttributeIndex vtk_expat_mangle(XML_GetIdAttributeIndex)
#define XML_GetInputContext vtk_expat_mangle(XML_GetInputContext)
#define XML_GetParsingStatus vtk_expat_mangle(XML_GetParsingStatus)
#define XML_GetSpecifiedAttributeCount vtk_expat_mangle(XML_GetSpecifiedAttributeCount)
#define XML_MemFree vtk_expat_mangle(XML_MemFree)
#define XML_MemMalloc vtk_expat_mangle(XML_MemMalloc)
#define XML_MemRealloc vtk_expat_mangle(XML_MemRealloc)
#define XML_Parse vtk_expat_mangle(XML_Parse)
#define XML_ParseBuffer vtk_expat_mangle(XML_ParseBuffer)
#define XML_ParserCreate vtk_expat_mangle(XML_ParserCreate)
#define XML_ParserCreateNS vtk_expat_mangle(XML_ParserCreateNS)
#define XML_ParserCreate_MM vtk_expat_mangle(XML_ParserCreate_MM)
#define XML_ParserFree vtk_expat_mangle(XML_ParserFree)
#define XML_ParserReset vtk_expat_mangle(XML_ParserReset)
#define XML_ResumeParser vtk_expat_mangle(XML_ResumeParser)
#define XML_SetAttlistDeclHandler vtk_expat_mangle(XML_SetAttlistDeclHandler)
#define XML_SetBase vtk_expat_mangle(XML_SetBase)
#define XML_SetCdataSectionHandler vtk_expat_mangle(XML_SetCdataSectionHandler)
#define XML_SetCharacterDataHandler vtk_expat_mangle(XML_SetCharacterDataHandler)
#define XML_SetCommentHandler vtk_expat_mangle(XML_SetCommentHandler)
#define XML_SetDefaultHandler vtk_expat_mangle(XML_SetDefaultHandler)
#define XML_SetDefaultHandlerExpand vtk_expat_mangle(XML_SetDefaultHandlerExpand)
#define XML_SetDoctypeDeclHandler vtk_expat_mangle(XML_SetDoctypeDeclHandler)
#define XML_SetElementDeclHandler vtk_expat_mangle(XML_SetElementDeclHandler)
#define XML_SetElementHandler vtk_expat_mangle(XML_SetElementHandler)
#define XML_SetEncoding vtk_expat_mangle(XML_SetEncoding)
#define XML_SetEndCdataSectionHandler vtk_expat_mangle(XML_SetEndCdataSectionHandler)
#define XML_SetEndDoctypeDeclHandler vtk_expat_mangle(XML_SetEndDoctypeDeclHandler)
#define XML_SetEndElementHandler vtk_expat_mangle(XML_SetEndElementHandler)
#define XML_SetEndNamespaceDeclHandler vtk_expat_mangle(XML_SetEndNamespaceDeclHandler)
#define XML_SetEntityDeclHandler vtk_expat_mangle(XML_SetEntityDeclHandler)
#define XML_SetExternalEntityRefHandler vtk_expat_mangle(XML_SetExternalEntityRefHandler)
#define XML_SetExternalEntityRefHandlerArg vtk_expat_mangle(XML_SetExternalEntityRefHandlerArg)
#define XML_SetHashSalt vtk_expat_mangle(XML_SetHashSalt)
#define XML_SetNamespaceDeclHandler vtk_expat_mangle(XML_SetNamespaceDeclHandler)
#define XML_SetNotStandaloneHandler vtk_expat_mangle(XML_SetNotStandaloneHandler)
#define XML_SetNotationDeclHandler vtk_expat_mangle(XML_SetNotationDeclHandler)
#define XML_SetParamEntityParsing vtk_expat_mangle(XML_SetParamEntityParsing)
#define XML_SetProcessingInstructionHandler vtk_expat_mangle(XML_SetProcessingInstructionHandler)
#define XML_SetReturnNSTriplet vtk_expat_mangle(XML_SetReturnNSTriplet)
#define XML_SetSkippedEntityHandler vtk_expat_mangle(XML_SetSkippedEntityHandler)
#define XML_SetStartCdataSectionHandler vtk_expat_mangle(XML_SetStartCdataSectionHandler)
#define XML_SetStartDoctypeDeclHandler vtk_expat_mangle(XML_SetStartDoctypeDeclHandler)
#define XML_SetStartElementHandler vtk_expat_mangle(XML_SetStartElementHandler)
#define XML_SetStartNamespaceDeclHandler vtk_expat_mangle(XML_SetStartNamespaceDeclHandler)
#define XML_SetUnknownEncodingHandler vtk_expat_mangle(XML_SetUnknownEncodingHandler)
#define XML_SetUnparsedEntityDeclHandler vtk_expat_mangle(XML_SetUnparsedEntityDeclHandler)
#define XML_SetUserData vtk_expat_mangle(XML_SetUserData)
#define XML_SetXmlDeclHandler vtk_expat_mangle(XML_SetXmlDeclHandler)
#define XML_StopParser vtk_expat_mangle(XML_StopParser)
#define XML_UseForeignDTD vtk_expat_mangle(XML_UseForeignDTD)
#define XML_UseParserAsHandlerArg vtk_expat_mangle(XML_UseParserAsHandlerArg)
#define XmlGetUtf16InternalEncoding vtk_expat_mangle(XmlGetUtf16InternalEncoding)
#define XmlGetUtf16InternalEncodingNS vtk_expat_mangle(XmlGetUtf16InternalEncodingNS)
#define XmlGetUtf8InternalEncoding vtk_expat_mangle(XmlGetUtf8InternalEncoding)
#define XmlGetUtf8InternalEncodingNS vtk_expat_mangle(XmlGetUtf8InternalEncodingNS)
#define XmlInitEncoding vtk_expat_mangle(XmlInitEncoding)
#define XmlInitEncodingNS vtk_expat_mangle(XmlInitEncodingNS)
#define XmlInitUnknownEncoding vtk_expat_mangle(XmlInitUnknownEncoding)
#define XmlInitUnknownEncodingNS vtk_expat_mangle(XmlInitUnknownEncodingNS)
#define XmlParseXmlDecl vtk_expat_mangle(XmlParseXmlDecl)
#define XmlParseXmlDeclNS vtk_expat_mangle(XmlParseXmlDeclNS)
#define XmlPrologStateInit vtk_expat_mangle(XmlPrologStateInit)
#define XmlPrologStateInitExternalEntity vtk_expat_mangle(XmlPrologStateInitExternalEntity)
#define XmlSizeOfUnknownEncoding vtk_expat_mangle(XmlSizeOfUnknownEncoding)
#define XmlUtf16Encode vtk_expat_mangle(XmlUtf16Encode)
#define XmlUtf8Encode vtk_expat_mangle(XmlUtf8Encode)
#define align_limit_to_full_utf8_characters vtk_expat_mangle(align_limit_to_full_utf8_characters)

#endif
