#ifndef vtk_libproj4_mangle_h
#define vtk_libproj4_mangle_h

/*

This header file mangles all symbols exported from the libproj4 library.
It is included in all files while building the libproj4 library.  Due to
namespace pollution, no libproj4 headers should be included in .h files in
VTK.

The following command was used to obtain the symbol list:

nm libproj.so | grep " [TR] " | awk '{print "#define "$3" vtk_"$3}'

*/

#define aacos vtk_aacos
#define aasin vtk_aasin
#define aatan2 vtk_aatan2
#define adjlon vtk_adjlon
#define asqrt vtk_asqrt
#define auth_lat vtk_auth_lat
#define bch2bps vtk_bch2bps
#define bcheval vtk_bcheval
#define bchgen vtk_bchgen
#define biveval vtk_biveval
#define bpseval vtk_bpseval
#define dmstor vtk_dmstor
#define dmstor_ctx vtk_dmstor_ctx
#define emess vtk_emess
#define _fini vtk__fini
#define freev2 vtk_freev2
#define geod_direct vtk_geod_direct
#define geod_gendirect vtk_geod_gendirect
#define geod_geninverse vtk_geod_geninverse
#define geod_genposition vtk_geod_genposition
#define geod_init vtk_geod_init
#define geod_inverse vtk_geod_inverse
#define geod_lineinit vtk_geod_lineinit
#define geod_polygon_addedge vtk_geod_polygon_addedge
#define geod_polygon_addpoint vtk_geod_polygon_addpoint
#define geod_polygonarea vtk_geod_polygonarea
#define geod_polygon_compute vtk_geod_polygon_compute
#define geod_polygon_init vtk_geod_polygon_init
#define geod_polygon_testedge vtk_geod_polygon_testedge
#define geod_polygon_testpoint vtk_geod_polygon_testpoint
#define geod_position vtk_geod_position
#define healpix_sphere vtk_healpix_sphere
#define healpix_sphere_inverse vtk_healpix_sphere_inverse
#define in_image vtk_in_image
#define _init vtk__init
#define mk_cheby vtk_mk_cheby
#define nad_ctable2_init vtk_nad_ctable2_init
#define nad_ctable2_load vtk_nad_ctable2_load
#define nad_ctable_init vtk_nad_ctable_init
#define nad_ctable_load vtk_nad_ctable_load
#define nad_cvt vtk_nad_cvt
#define nad_free vtk_nad_free
#define nad_init vtk_nad_init
#define nad_intr vtk_nad_intr
#define pj_acquire_lock vtk_pj_acquire_lock
#define pj_aea vtk_pj_aea
#define pj_aeqd vtk_pj_aeqd
#define pj_airy vtk_pj_airy
#define pj_aitoff vtk_pj_aitoff
#define pj_alsk vtk_pj_alsk
#define pj_apian vtk_pj_apian
#define pj_apply_gridshift vtk_pj_apply_gridshift
#define pj_apply_gridshift_2 vtk_pj_apply_gridshift_2
#define pj_apply_gridshift_3 vtk_pj_apply_gridshift_3
#define pj_apply_vgridshift vtk_pj_apply_vgridshift
#define pj_atof vtk_pj_atof
#define pj_august vtk_pj_august
#define pj_authlat vtk_pj_authlat
#define pj_authset vtk_pj_authset
#define pj_bacon vtk_pj_bacon
#define pj_bipc vtk_pj_bipc
#define pj_boggs vtk_pj_boggs
#define pj_bonne vtk_pj_bonne
#define pj_calcofi vtk_pj_calcofi
#define pj_cass vtk_pj_cass
#define pj_cc vtk_pj_cc
#define pj_cea vtk_pj_cea
#define pj_chamb vtk_pj_chamb
#define pj_cleanup_lock vtk_pj_cleanup_lock
#define pj_clear_initcache vtk_pj_clear_initcache
#define pj_clone_paralist vtk_pj_clone_paralist
#define pj_collg vtk_pj_collg
#define pj_compare_datums vtk_pj_compare_datums
#define pj_Convert_Geocentric_To_Geodetic vtk_pj_Convert_Geocentric_To_Geodetic
#define pj_Convert_Geodetic_To_Geocentric vtk_pj_Convert_Geodetic_To_Geocentric
#define pj_crast vtk_pj_crast
#define pj_ctx_alloc vtk_pj_ctx_alloc
#define pj_ctx_fclose vtk_pj_ctx_fclose
#define pj_ctx_fgets vtk_pj_ctx_fgets
#define pj_ctx_fopen vtk_pj_ctx_fopen
#define pj_ctx_fread vtk_pj_ctx_fread
#define pj_ctx_free vtk_pj_ctx_free
#define pj_ctx_fseek vtk_pj_ctx_fseek
#define pj_ctx_ftell vtk_pj_ctx_ftell
#define pj_ctx_get_app_data vtk_pj_ctx_get_app_data
#define pj_ctx_get_errno vtk_pj_ctx_get_errno
#define pj_ctx_get_fileapi vtk_pj_ctx_get_fileapi
#define pj_ctx_set_app_data vtk_pj_ctx_set_app_data
#define pj_ctx_set_debug vtk_pj_ctx_set_debug
#define pj_ctx_set_errno vtk_pj_ctx_set_errno
#define pj_ctx_set_fileapi vtk_pj_ctx_set_fileapi
#define pj_ctx_set_logger vtk_pj_ctx_set_logger
#define pj_dalloc vtk_pj_dalloc
#define pj_datum_set vtk_pj_datum_set
#define pj_datum_transform vtk_pj_datum_transform
#define pj_deallocate_grids vtk_pj_deallocate_grids
#define pj_denoy vtk_pj_denoy
#define pj_deriv vtk_pj_deriv
#define pj_eck1 vtk_pj_eck1
#define pj_eck2 vtk_pj_eck2
#define pj_eck3 vtk_pj_eck3
#define pj_eck4 vtk_pj_eck4
#define pj_eck5 vtk_pj_eck5
#define pj_eck6 vtk_pj_eck6
#define pj_ell_set vtk_pj_ell_set
#define pj_enfn vtk_pj_enfn
#define pj_eqc vtk_pj_eqc
#define pj_eqdc vtk_pj_eqdc
#define pj_errno vtk_pj_errno
#define pj_etmerc vtk_pj_etmerc
#define pj_euler vtk_pj_euler
#define pj_factors vtk_pj_factors
#define pj_fahey vtk_pj_fahey
#define pj_fouc vtk_pj_fouc
#define pj_fouc_s vtk_pj_fouc_s
#define pj_free vtk_pj_free
#define pj_fwd vtk_pj_fwd
#define pj_gall vtk_pj_gall
#define pj_gauss vtk_pj_gauss
#define pj_gauss_ini vtk_pj_gauss_ini
#define pj_gc_apply_gridshift vtk_pj_gc_apply_gridshift
#define pj_gc_findcatalog vtk_pj_gc_findcatalog
#define pj_gc_findgrid vtk_pj_gc_findgrid
#define pj_gc_parsedate vtk_pj_gc_parsedate
#define pj_gc_readcatalog vtk_pj_gc_readcatalog
#define pj_gc_unloadall vtk_pj_gc_unloadall
#define pj_geocent vtk_pj_geocent
#define pj_geocentric_from_wgs84 vtk_pj_geocentric_from_wgs84
#define pj_geocentric_to_geodetic vtk_pj_geocentric_to_geodetic
#define pj_geocentric_to_wgs84 vtk_pj_geocentric_to_wgs84
#define pj_geodetic_to_geocentric vtk_pj_geodetic_to_geocentric
#define pj_geos vtk_pj_geos
#define pj_get_ctx vtk_pj_get_ctx
#define pj_get_datums_ref vtk_pj_get_datums_ref
#define pj_get_def vtk_pj_get_def
#define pj_get_default_ctx vtk_pj_get_default_ctx
#define pj_get_default_fileapi vtk_pj_get_default_fileapi
#define pj_get_ellps_ref vtk_pj_get_ellps_ref
#define pj_get_errno_ref vtk_pj_get_errno_ref
#define pj_Get_Geocentric_Parameters vtk_pj_Get_Geocentric_Parameters
#define pj_get_list_ref vtk_pj_get_list_ref
#define pj_get_prime_meridians_ref vtk_pj_get_prime_meridians_ref
#define pj_get_release vtk_pj_get_release
#define pj_get_spheroid_defn vtk_pj_get_spheroid_defn
#define pj_get_units_ref vtk_pj_get_units_ref
#define pj_gins8 vtk_pj_gins8
#define pj_gnom vtk_pj_gnom
#define pj_gn_sinu vtk_pj_gn_sinu
#define pj_goode vtk_pj_goode
#define pj_gridinfo_free vtk_pj_gridinfo_free
#define pj_gridinfo_init vtk_pj_gridinfo_init
#define pj_gridinfo_load vtk_pj_gridinfo_load
#define pj_gridlist_from_nadgrids vtk_pj_gridlist_from_nadgrids
#define pj_gs48 vtk_pj_gs48
#define pj_gs50 vtk_pj_gs50
#define pj_gstmerc vtk_pj_gstmerc
#define pj_hammer vtk_pj_hammer
#define pj_hatano vtk_pj_hatano
#define pj_healpix vtk_pj_healpix
#define pj_igh vtk_pj_igh
#define pj_imw_p vtk_pj_imw_p
#define pj_init vtk_pj_init
#define pj_init_ctx vtk_pj_init_ctx
#define pj_init_plus vtk_pj_init_plus
#define pj_init_plus_ctx vtk_pj_init_plus_ctx
#define pj_insert_initcache vtk_pj_insert_initcache
#define pj_inv vtk_pj_inv
#define pj_inv_gauss vtk_pj_inv_gauss
#define pj_inv_mlfn vtk_pj_inv_mlfn
#define pj_isea vtk_pj_isea
#define pj_is_geocent vtk_pj_is_geocent
#define pj_is_latlong vtk_pj_is_latlong
#define pj_kav5 vtk_pj_kav5
#define pj_kav7 vtk_pj_kav7
#define pj_krovak vtk_pj_krovak
#define pj_labrd vtk_pj_labrd
#define pj_laea vtk_pj_laea
#define pj_lagrng vtk_pj_lagrng
#define pj_larr vtk_pj_larr
#define pj_lask vtk_pj_lask
#define pj_latlon vtk_pj_latlon
#define pj_latlong vtk_pj_latlong
#define pj_latlong_from_proj vtk_pj_latlong_from_proj
#define pj_lcc vtk_pj_lcc
#define pj_lcca vtk_pj_lcca
#define pj_leac vtk_pj_leac
#define pj_lee_os vtk_pj_lee_os
#define pj_log vtk_pj_log
#define pj_longlat vtk_pj_longlat
#define pj_lonlat vtk_pj_lonlat
#define pj_loxim vtk_pj_loxim
#define pj_lsat vtk_pj_lsat
#define pj_malloc vtk_pj_malloc
#define pj_mbtfpp vtk_pj_mbtfpp
#define pj_mbtfpq vtk_pj_mbtfpq
#define pj_mbtfps vtk_pj_mbtfps
#define pj_mbt_fps vtk_pj_mbt_fps
#define pj_mbt_s vtk_pj_mbt_s
#define pj_merc vtk_pj_merc
#define pj_mill vtk_pj_mill
#define pj_mil_os vtk_pj_mil_os
#define pj_mkparam vtk_pj_mkparam
#define pj_mlfn vtk_pj_mlfn
#define pj_moll vtk_pj_moll
#define pj_msfn vtk_pj_msfn
#define pj_murd1 vtk_pj_murd1
#define pj_murd2 vtk_pj_murd2
#define pj_murd3 vtk_pj_murd3
#define pj_natearth vtk_pj_natearth
#define pj_nell vtk_pj_nell
#define pj_nell_h vtk_pj_nell_h
#define pj_nicol vtk_pj_nicol
#define pj_nsper vtk_pj_nsper
#define pj_nzmg vtk_pj_nzmg
#define pj_ob_tran vtk_pj_ob_tran
#define pj_ocea vtk_pj_ocea
#define pj_oea vtk_pj_oea
#define pj_omerc vtk_pj_omerc
#define pj_open_lib vtk_pj_open_lib
#define pj_ortel vtk_pj_ortel
#define pj_ortho vtk_pj_ortho
#define pj_param vtk_pj_param
#define pj_pconic vtk_pj_pconic
#define pj_phi2 vtk_pj_phi2
#define pj_poly vtk_pj_poly
#define pj_pr_list vtk_pj_pr_list
#define pj_putp1 vtk_pj_putp1
#define pj_putp2 vtk_pj_putp2
#define pj_putp3 vtk_pj_putp3
#define pj_putp3p vtk_pj_putp3p
#define pj_putp4p vtk_pj_putp4p
#define pj_putp5 vtk_pj_putp5
#define pj_putp5p vtk_pj_putp5p
#define pj_putp6 vtk_pj_putp6
#define pj_putp6p vtk_pj_putp6p
#define pj_qsc vtk_pj_qsc
#define pj_qsfn vtk_pj_qsfn
#define pj_qua_aut vtk_pj_qua_aut
#define pj_release vtk_pj_release
#define pj_release_lock vtk_pj_release_lock
#define pj_rhealpix vtk_pj_rhealpix
#define pj_robin vtk_pj_robin
#define pj_rouss vtk_pj_rouss
#define pj_rpoly vtk_pj_rpoly
#define pj_search_initcache vtk_pj_search_initcache
#define pj_set_ctx vtk_pj_set_ctx
#define pj_set_finder vtk_pj_set_finder
#define pj_Set_Geocentric_Parameters vtk_pj_Set_Geocentric_Parameters
#define pj_set_searchpath vtk_pj_set_searchpath
#define pj_sign vtk_pj_sign
#define pj_sinu vtk_pj_sinu
#define pj_somerc vtk_pj_somerc
#define pj_stderr_logger vtk_pj_stderr_logger
#define pj_stere vtk_pj_stere
#define pj_sterea vtk_pj_sterea
#define pj_strerrno vtk_pj_strerrno
#define pj_strtod vtk_pj_strtod
#define pj_tcc vtk_pj_tcc
#define pj_tcea vtk_pj_tcea
#define pj_tissot vtk_pj_tissot
#define pj_tmerc vtk_pj_tmerc
#define pj_tpeqd vtk_pj_tpeqd
#define pj_tpers vtk_pj_tpers
#define pj_transform vtk_pj_transform
#define pj_tsfn vtk_pj_tsfn
#define pj_ups vtk_pj_ups
#define pj_urm5 vtk_pj_urm5
#define pj_urmfps vtk_pj_urmfps
#define pj_utm vtk_pj_utm
#define pj_vandg vtk_pj_vandg
#define pj_vandg2 vtk_pj_vandg2
#define pj_vandg3 vtk_pj_vandg3
#define pj_vandg4 vtk_pj_vandg4
#define pj_vitk1 vtk_pj_vitk1
#define pj_wag1 vtk_pj_wag1
#define pj_wag2 vtk_pj_wag2
#define pj_wag3 vtk_pj_wag3
#define pj_wag4 vtk_pj_wag4
#define pj_wag5 vtk_pj_wag5
#define pj_wag6 vtk_pj_wag6
#define pj_wag7 vtk_pj_wag7
#define pj_weren vtk_pj_weren
#define pj_wink1 vtk_pj_wink1
#define pj_wink2 vtk_pj_wink2
#define pj_wintri vtk_pj_wintri
#define pj_zpoly1 vtk_pj_zpoly1
#define pj_zpolyd1 vtk_pj_zpolyd1
#define proj_inv_mdist vtk_proj_inv_mdist
#define proj_mdist vtk_proj_mdist
#define proj_mdist_ini vtk_proj_mdist_ini
#define rtodms vtk_rtodms
#define set_rtodms vtk_set_rtodms
#define vector1 vtk_vector1
#define vector2 vtk_vector2

#endif
